@use "@angular/material" as mat;
@import "@angular/material/theming";

@include mat-core();

/* change the theme colors of angular-material 
    for the available colors check https://material.io/design/color/the-color-system.html#tools-for-picking-colors */
$primary-palette: (
  50: #e4e4e4,
  100: #bcbcbc,
  200: #909090,
  300: #636363,
  400: #414141,
  500: #202020,
  600: #1c1c1c,
  700: #181818,
  800: #131313,
  900: #0b0b0b,
  A100: #e76c6c,
  A200: #e04040,
  A400: #ec0000,
  A700: #d30000,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #ffffff,
    400: #ffffff,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #ffffff,
    A400: #ffffff,
    A700: #ffffff,
  ),
);

$secondary-palette: (
  50: #faf2e1,
  100: #f2dfb4,
  200: #eac983,
  300: #e2b351,
  400: #dba32b,
  500: #d59306,
  600: #d08b05,
  700: #ca8004,
  800: #c47603,
  900: #ba6402,
  A100: #fff0e3,
  A200: #ffd5b0,
  A400: #ffbb7d,
  A700: #ffad63,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #000000,
    500: #000000,
    600: #000000,
    700: #000000,
    800: #000000,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #000000,
    A700: #000000,
  ),
);

$warn-palette: (
  50: #e6f3f4,
  100: #c0e0e3,
  200: #97ccd1,
  300: #6db7bf,
  400: #4da7b1,
  500: #2e98a3,
  600: #29909b,
  700: #238591,
  800: #1d7b88,
  900: #126a77,
  A100: #acf3ff,
  A200: #79ebff,
  A400: #46e4ff,
  A700: #2ce0ff,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #000000,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #000000,
    A700: #000000,
  ),
);

$primary: mat.define-palette($primary-palette);
$secondary: mat.define-palette($secondary-palette);
$warn: mat.define-palette($warn-palette);

//$theme: mat-dark-theme($primary, $secondary, $warn);

$theme: mat.define-dark-theme(
  (
    color: (
      primary: $primary,
      accent: $secondary,
      warn: $warn,
    ),
    typography: mat.define-typography-config(),
    density: 0,
  )
);

// apply the dark theme
// @include angular-material-theme($theme);
@include mat.core-theme($theme);
@include mat.button-theme($theme);
@include mat.all-component-themes($theme);

.black-snackbar {
  --mdc-snackbar-supporting-text-color: white;
  --mdc-snackbar-container-color: #303030;
  --mat-mdc-snack-bar-button-color: #2e98a3;
}

.header-panel.mat-mdc-select-panel {
  background: #2e98a3;
}
.mat-horizontal-stepper-header {
  pointer-events: none;
}
